{% extends 'newbase.html' %}
{% load load_task_by_date %}
{% block css %}
    <link href="/static/newpages/plugins/bower_components/bootstrap-select/bootstrap-select.min.css" rel="stylesheet">
<style type="text/css">
 .Animation {
    animation-name: rotate;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    }
</style>
{% endblock %}
{% block content %}
    <div class="row bg-title">
        <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
            <h4 class="page-title">Tabs</h4> </div>
        <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
            <button class="right-side-toggle waves-effect waves-light btn-info btn-circle pull-right m-l-20" data-toggle="modal" data-target="#Modal2" data-whatever="@mdo"><i class="ti-settings text-white"></i></button>
            <div class="modal fade" id="Modal2" tabindex="-1" role="dialog" aria-labelledby="ModalLabel2" style="display: none;">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                            <h4 class="modal-title" id="ModalLabel2">Set the destination IP address</h4> </div>
                        <div class="modal-body">
                            <form id="sethostsfrom" method="post">
                                {% csrf_token %}
                                <div class="form-group">
                                        <label for="project-name" class="control-label">Project:</label>
                                        <input type="text" class="form-control" id="project-name2" readonly name="project_name" value="{{ project_name }}">
                                    </div>
                                <div class="form-group">
                                        <label for="message-text" class="control-label">Branch:</label><br>
                                        <select class="selectpicker bs-select-hidden" data-style="form-control" name="branch_name">
                                            {% for br in branches %}
                                                <option value="{{ br.branch_name }}">{{ br.branch_name }}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                <div class="form-group">
                                    <label class="control-label">Hosts</label>
                                    <input type="text" class="form-control" name="hosts" placeholder="多IP地址逗号分隔">
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="SetHosts()">Save</button>
                        </div>
                    </div>
                </div>
            </div>
            <button class="btn btn-primary pull-right m-l-20 hidden-xs hidden-sm waves-effect waves-light" data-toggle="modal" data-target="#Modal1" data-whatever="@mdo">Manual Job</button>
            <div class="modal fade" id="Modal1" tabindex="-1" role="dialog" aria-labelledby="ModalLabel1" style="display: none;">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                            <h4 class="modal-title" id="ModalLabel1">Manual Job Project {{ project_name }}</h4> </div>
                        <div class="modal-body">
                            <form id="manualjobform" method="post">
                                {% csrf_token %}
                                <div class="form-group">
                                    <label for="project-name" class="control-label">Project:</label>
                                    <input type="text" class="form-control" id="project-name1" readonly name="project_name" value="{{ project_name }}">
                                </div>
                                <div class="form-group">
                                    <label for="message-text" class="control-label">Branch:</label><br>
                                     <input type="text" class="form-control" name="branch_name" placeholder="请确保分支在远程仓库中存在">
{#                                    <select class="selectpicker bs-select-hidden" data-style="form-control" name="branch_name">#}
{#                                        {% for br in branches %}#}
{#                                            <option value="{{ br.branch_name }}">{{ br.branch_name }}</option>#}
{#                                        {% endfor %}#}
{#                                    </select>#}
                                </div>

                                <div class="form-group">
                                    <label class="control-label">Hosts:</label>
                                    <input type="text" class="form-control" name="hosts" placeholder="多IP地址逗号分隔">
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" onclick="ManualJob()">Start Job</button>
                        </div>
                    </div>
                </div>
            </div>
            <ol class="breadcrumb">
                <li><a href="/tasks/dashboard/">Dashboard</a></li>
                <li><a>{{ project_group }}</a></li>
                <li class="active">{{ project_name }}</li>
            </ol>
        </div>
        <!-- /.col-lg-12 -->
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="white-box">
                <!-- Tabstyle start -->
                <section>
                    <div class="sttabs tabs-style-line">
                        <nav>
                            <ul>
                                {% for date in date_range %}
                                <li class=""><a href="#{{ date }}"><span>{{ date }}</span></a></li>
                                {% endfor %}
                            </ul>
                        </nav>
                        <!-- /content -->
                    </div>
                    <!-- /tabs -->
                </section>
            </div>
            <div class="content-wrap">
                {% for date in date_range %}
                <section id="{{ date }}" class="">
                    {% load_task date_tasks date as tasks %}
                    {% for task in tasks %}
                    <div class="panel panel-default block2">
                        <div class="panel-heading">{{ task.project }}
                            <div class="panel-action">
                                <a href="#" data-perform="panel-collapse"><i class="ti-minus"></i></a>
                                <a href="#" data-perform="panel-dismiss" onclick="DeleteTask('{{ task.id }}', '{{ task.BuildTaskId}}', '{{ task.DeployTaskId }}')"><i class="ti-close"></i></a>
                            </div>
                        </div>
                        <div class="panel-wrapper collapse in" aria-expanded="true">
                            <div class="panel-body">
                                <p style="display: inline-block">{{ task.commits_author_name }}: {{ task.commits_message }}</p>
                                {% if task.DeployStatus %}
                                    <button id="{{ task.id }}" class="btn btn-block btn-primary btn-rounded" style="width: 100px; height: 34px; float: right" onclick="Deploy(this)">Rollback</button>
                                {% else %}
                                    <button id="{{ task.id }}" class="btn btn-block btn-primary btn-rounded" style="width: 100px; height: 34px; float: right" onclick="Deploy(this)">Play</button>
                                {% endif %}
                            </div>
                            <div class="panel-footer">
                                <button class="btn btn-info btn-rounded btn-xs" style="width:50px">{% converse_time task.create_time %}</button>
                                <button class="btn btn-info btn-rounded btn-xs" style="width:65px">{{ task.TaskType }}</button>
                                <button class="btn btn-info btn-rounded btn-xs" style="width:65px">{{ task.ref }}</button>
                                {% if  task.BuildStatus %}
                                    <button id="{{ task.BuildTaskId }}" class="btn btn-info btn-rounded btn-xs" style="width:65px">build</button>
                                {% elif task.BuildTaskId and task.TaskState == 'failed' %}
                                    <button id="{{ task.BuildTaskId }}" class="btn btn-danger btn-rounded btn-xs" style="width:65px">build</button>
                                {% else %}
                                    <button id="{{ task.BuildTaskId }}" class="btn btn-warning btn-rounded btn-xs" style="width:65px">build</button>
                                {% endif %}

                                {% if task.DeployStatus %}
                                    <button id="{{ task.DeployTaskId }}" class="btn btn-info btn-rounded btn-xs" style="width:65px">deploy</button>
                                {% elif task.DeployTaskId and  task.TaskState == 'failed' %}
                                    <button id="{{ task.DeployTaskId }}" class="btn btn-danger btn-rounded btn-xs" style="width:65px">deploy</button>
                                {% else %}
                                    <button id="{{ task.DeployTaskId }}" class="btn btn-warning btn-rounded btn-xs" style="width:65px">deploy</button>
                                {% endif %}
                                <a href="{% url 'tasks:console_log' %}?tid={{ task.id }}"><button class="btn-xs btn-outline btn-rounded btn-info">Console</button></a>
                                {% if not task.BuildStatus and task.TaskState == 'failed' %}
                                    <button class="btn btn-danger btn-rounded btn-xs" style="width:65px" onclick="Retry(this)"><i class="fa fa-repeat"></i> Retry</button>
                                {% endif %}
                            </div>
                        </div>
                    </div>

                    {% endfor %}
                </section>
                {% endfor %}
            </div>
        </div>
    </div>

{% endblock %}

{% block js %}
    <script src="/static/newpages/js/cbpFWTabs.js"></script>
    <script type="text/javascript">
    (function() {
        [].slice.call(document.querySelectorAll('.sttabs')).forEach(function(el) {
            new CBPFWTabs(el);
        });
    })();
    </script>
    <script src="/static/cqcicd/tasklist.js"></script>
    <script src="/static/newpages/plugins/bower_components/bootstrap-select/bootstrap-select.min.js"></script>
{% endblock %}
